<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PPII: Riferimenti per la struct dati_schermo</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PPII
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generato da Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Cerca');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Pagina&#160;Principale</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classi</span></a></li>
      <li><a href="files.html"><span>File</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Cerca" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Elenco&#160;dei&#160;tipi&#160;composti</span></a></li>
      <li><a href="classes.html"><span>Indice&#160;dei&#160;tipi&#160;composti</span></a></li>
      <li><a href="functions.html"><span>Membri&#160;dei&#160;composti</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Attributi pubblici</a> &#124;
<a href="structdati__schermo-members.html">Elenco di tutti i membri</a>  </div>
  <div class="headertitle">
<div class="title">Riferimenti per la struct dati_schermo</div>  </div>
</div><!--header-->
<div class="contents">

<p>Struttura contenente i dati dello schermo, necessari per l'aggiornamento della schermata.  
 <a href="structdati__schermo.html#details">Continua...</a></p>

<p><code>#include &lt;<a class="el" href="grafica_8h_source.html">grafica.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributi pubblici</h2></td></tr>
<tr class="memitem:a2988bbe07cbafbcc0e1360140a2b89ac"><td class="memItemLeft" align="right" valign="top">ALLEGRO_DISPLAY *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdati__schermo.html#a2988bbe07cbafbcc0e1360140a2b89ac">display</a></td></tr>
<tr class="memdesc:a2988bbe07cbafbcc0e1360140a2b89ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Oggetto delle librerie Allegro che contiene le informazioni del display.  <a href="#a2988bbe07cbafbcc0e1360140a2b89ac">Continua...</a><br /></td></tr>
<tr class="separator:a2988bbe07cbafbcc0e1360140a2b89ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa107edb1b1b95a045688784c51d4fdf2"><td class="memItemLeft" align="right" valign="top">ALLEGRO_BITMAP *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdati__schermo.html#aa107edb1b1b95a045688784c51d4fdf2">sfondo</a></td></tr>
<tr class="memdesc:aa107edb1b1b95a045688784c51d4fdf2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Immagine di sfondo del gioco.  <a href="#aa107edb1b1b95a045688784c51d4fdf2">Continua...</a><br /></td></tr>
<tr class="separator:aa107edb1b1b95a045688784c51d4fdf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb26dc1a6d8a5f3012facc88a6b93a02"><td class="memItemLeft" align="right" valign="top">ALLEGRO_BITMAP *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdati__schermo.html#aeb26dc1a6d8a5f3012facc88a6b93a02">nvite</a></td></tr>
<tr class="memdesc:aeb26dc1a6d8a5f3012facc88a6b93a02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Immagine delle vite rimanenti.  <a href="#aeb26dc1a6d8a5f3012facc88a6b93a02">Continua...</a><br /></td></tr>
<tr class="separator:aeb26dc1a6d8a5f3012facc88a6b93a02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7190ae75d41c95580e05fb352ab911f4"><td class="memItemLeft" align="right" valign="top">ALLEGRO_BITMAP *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdati__schermo.html#a7190ae75d41c95580e05fb352ab911f4">narmi</a></td></tr>
<tr class="memdesc:a7190ae75d41c95580e05fb352ab911f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Immagine delle armi rimanenti.  <a href="#a7190ae75d41c95580e05fb352ab911f4">Continua...</a><br /></td></tr>
<tr class="separator:a7190ae75d41c95580e05fb352ab911f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d6cbf4478eb0b651ef903c28822d11b"><td class="memItemLeft" align="right" valign="top">ALLEGRO_BITMAP *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdati__schermo.html#a8d6cbf4478eb0b651ef903c28822d11b">nnpc</a></td></tr>
<tr class="memdesc:a8d6cbf4478eb0b651ef903c28822d11b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Immagine delle npc vive rimanenti.  <a href="#a8d6cbf4478eb0b651ef903c28822d11b">Continua...</a><br /></td></tr>
<tr class="separator:a8d6cbf4478eb0b651ef903c28822d11b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaae5c0f13e4034796c07452420c23f4"><td class="memItemLeft" align="right" valign="top">ALLEGRO_FONT *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdati__schermo.html#abaae5c0f13e4034796c07452420c23f4">hud_font</a></td></tr>
<tr class="memdesc:abaae5c0f13e4034796c07452420c23f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Il font utilizzato per la stampa degli elementi sull'interfaccia.  <a href="#abaae5c0f13e4034796c07452420c23f4">Continua...</a><br /></td></tr>
<tr class="separator:abaae5c0f13e4034796c07452420c23f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97cae07ad1d39653da2e7ee79111a4ed"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdati__schermo.html#a97cae07ad1d39653da2e7ee79111a4ed">larghezza</a></td></tr>
<tr class="memdesc:a97cae07ad1d39653da2e7ee79111a4ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Larghezza del disegno.  <a href="#a97cae07ad1d39653da2e7ee79111a4ed">Continua...</a><br /></td></tr>
<tr class="separator:a97cae07ad1d39653da2e7ee79111a4ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a840208b5dabbb3ee4b79d3ae61bb4a42"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdati__schermo.html#a840208b5dabbb3ee4b79d3ae61bb4a42">altezza</a></td></tr>
<tr class="memdesc:a840208b5dabbb3ee4b79d3ae61bb4a42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Altezza del disegno.  <a href="#a840208b5dabbb3ee4b79d3ae61bb4a42">Continua...</a><br /></td></tr>
<tr class="separator:a840208b5dabbb3ee4b79d3ae61bb4a42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d2db5e13f5ddfe8bd32c172289d1210"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdati__schermo.html#a6d2db5e13f5ddfe8bd32c172289d1210">fps</a></td></tr>
<tr class="memdesc:a6d2db5e13f5ddfe8bd32c172289d1210"><td class="mdescLeft">&#160;</td><td class="mdescRight">Aggiornamenti per secondo dello schermo.  <a href="#a6d2db5e13f5ddfe8bd32c172289d1210">Continua...</a><br /></td></tr>
<tr class="separator:a6d2db5e13f5ddfe8bd32c172289d1210"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ee6fddcbf1eb9ebf58c74b2ed173578"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdati__schermo.html#a5ee6fddcbf1eb9ebf58c74b2ed173578">serve_disegno</a></td></tr>
<tr class="memdesc:a5ee6fddcbf1eb9ebf58c74b2ed173578"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag che indica che lo schermo deve essere ridisegnato.  <a href="#a5ee6fddcbf1eb9ebf58c74b2ed173578">Continua...</a><br /></td></tr>
<tr class="separator:a5ee6fddcbf1eb9ebf58c74b2ed173578"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Descrizione dettagliata</h2>
<div class="textblock"><p>Struttura contenente i dati dello schermo, necessari per l'aggiornamento della schermata. </p>
</div><h2 class="groupheader">Documentazione dei membri dato</h2>
<a class="anchor" id="a840208b5dabbb3ee4b79d3ae61bb4a42"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int dati_schermo::altezza</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Altezza del disegno. </p>

</div>
</div>
<a class="anchor" id="a2988bbe07cbafbcc0e1360140a2b89ac"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ALLEGRO_DISPLAY* dati_schermo::display</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Oggetto delle librerie Allegro che contiene le informazioni del display. </p>

</div>
</div>
<a class="anchor" id="a6d2db5e13f5ddfe8bd32c172289d1210"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int dati_schermo::fps</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Aggiornamenti per secondo dello schermo. </p>

</div>
</div>
<a class="anchor" id="abaae5c0f13e4034796c07452420c23f4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ALLEGRO_FONT* dati_schermo::hud_font</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Il font utilizzato per la stampa degli elementi sull'interfaccia. </p>

</div>
</div>
<a class="anchor" id="a97cae07ad1d39653da2e7ee79111a4ed"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int dati_schermo::larghezza</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Larghezza del disegno. </p>

</div>
</div>
<a class="anchor" id="a7190ae75d41c95580e05fb352ab911f4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ALLEGRO_BITMAP* dati_schermo::narmi</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Immagine delle armi rimanenti. </p>

</div>
</div>
<a class="anchor" id="a8d6cbf4478eb0b651ef903c28822d11b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ALLEGRO_BITMAP* dati_schermo::nnpc</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Immagine delle npc vive rimanenti. </p>

</div>
</div>
<a class="anchor" id="aeb26dc1a6d8a5f3012facc88a6b93a02"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ALLEGRO_BITMAP* dati_schermo::nvite</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Immagine delle vite rimanenti. </p>

</div>
</div>
<a class="anchor" id="a5ee6fddcbf1eb9ebf58c74b2ed173578"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool dati_schermo::serve_disegno</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flag che indica che lo schermo deve essere ridisegnato. </p>

</div>
</div>
<a class="anchor" id="aa107edb1b1b95a045688784c51d4fdf2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ALLEGRO_BITMAP* dati_schermo::sfondo</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Immagine di sfondo del gioco. </p>

</div>
</div>
<hr/>La documentazione per questa struct è stata generata a partire dal seguente file:<ul>
<li><a class="el" href="grafica_8h_source.html">grafica.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generato Mer 6 Set 2017 17:21:16 per PPII da &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
